/* Include file "egsort-sun.h" for Unix uni-processor version of Egsort */

#define PROCTYPE UNI
#define MAXOUTSTREAMS 1

struct statistics_record *stats;
int current_stream=1;

int **simples;
int **simples_addr;

int **groups;
int **groups_addr;

int *eventstart,*eventptr,*eventend;
void *localdata;

/* In each of these spectrum access routines, type of "S" is set by compiler */

#define incbyte(S,X)     S[X]++

#define incword(S,X)     S[X]++

#define inclong(S,X)     S[X]++

#define decbyte(S,X)     S[X]--

#define decword(S,X)     S[X]--

#define declong(S,X)     S[X]--

#define setbyte(S,X,Y)   S[X]=Y

#define setword(S,X,Y)   S[X]=Y

#define setlong(S,X,Y)   S[X]=Y

#define getbyte(S,X)     S[X]

#define getword(S,X)     S[X]

#define getlong(S,X)     S[X]

